Nach Update auf 0.9.7 kann keinen neuen Drucker anlegen



  • Bzgl Objektbild:

    Versucht mal bitte folgendes in Datei src/themes/default/smarty/templates/content/main_groups.tpl in Zeile 28 einzufügen (also hinter das vorletzte [{/if}]):

    
    [{if isset($encType)}] 
    
    [{/if}]
    
    

    und dann nochmal ein Objektbild hochzuladen. Das müsste das Problem eigentlich beheben.



  • Danke!
    Das Problem mit den Objektbildern hat sich mit diesem Tip erledigt.
    Jetzt habe ich nur das Problem mit dem Registerreiter "Drucker" in Katagory Drucker.

    Gruß!



  • Wie gesagt, das mit den Druckern ist gefixt.. Du musst deine in der Bug Version erstellten Drucker löschen und diese dann neu anlegen!



  • Ich habe alle Drucker gelöscht und neu angelegt mit gleichem Effekt.
    Ich habe auch unter Infrastruktur neue Katagorie "Printer" angelet aber auch da habe ich die u.g. Fehlermeldung:

    __isys_exception_cmdb : CMDB Exception: Could not get categories for distributor (Extended Information: 32774)

    Backtrace:
    #0 get_backtrace() called at [/usr/share/i-doit/src/themes/default/smarty/templates_c/%%2E^2ED^2ED5AAD4%%exception-full.tpl.php:45]
    #1 include(/usr/share/i-doit/src/themes/default/smarty/templates_c/%%2E^2ED^2ED5AAD4%%exception-full.tpl.php) called at [/usr/share/i-doit/src/classes/libraries/smarty/Smarty.class.php:1265]
    #2 Smarty->fetch(exception-full.tpl, , , 1) called at [/usr/share/i-doit/src/classes/libraries/smarty/Smarty.class.php:1108]
    #3 Smarty->display(exception-full.tpl) called at [/usr/share/i-doit/src/classes/exceptions/isys_exception.class.php:118]
    #4 isys_exception->display(VIEW HANDLER (isys_cmdb_view_category):
    ) called at [/usr/share/i-doit/src/classes/modules/isys_module_cmdb.class.php:623]
    #5 isys_module_cmdb->start() called at [/usr/share/i-doit/src/classes/modules/isys_module_manager.class.php:553]
    #6 isys_module_manager->load(2) called at [/usr/share/i-doit/src/i-doit.inc.php:162]
    #7 include_once(/usr/share/i-doit/src/i-doit.inc.php) called at [/usr/share/i-doit/src/hypergate.inc.php:244]
    #8 include_once(/usr/share/i-doit/src/hypergate.inc.php) called at [/usr/share/i-doit/src/ajax.inc.php:128]
    #9 require_once(/usr/share/i-doit/src/ajax.inc.php) called at [/usr/share/i-doit/index.php:264]
    _



  • Wie und wohin hast du das Zipfile von http://dev.synetics.de/nb entpackt?



  • Ich habe die Zip-File direkt in das i-doit-Verzeichnis (bei mir /usr/share/i-doit) kopiert und mit "unzip -o Zipfile" entpakt.



  • Wenn ich nach dem Entpacken das Update durchführen will, kommt die Meldung:
    "No updates available (for your version) or you have already downloaded the most recent one.".



  • Ein update darueber nochmal zu machen ist nicht notwendig.
    Hattest du das vorher gemacht und dort 0.9.7 ausgewählt?



  • Ja, leider.
    Jetzt habe ich nur drüber entpackt und es geht.
    Danke!



  • 🙂



  • Hallo,

    das ganze Spiel geht noch weiter. Ich habe bemerkt, dass man nun auch keine Netze mehr anlegen kann und eine ähnliche Fehlermeldung bekommt.

    isys_exception_database : Query error: 'INSERT INTO isys_cats_distributor (isys_cats_distributor__isys_cats_net_list__id, isys_cats_distributor__isys_obj__id) VALUES (,@obj_id);': You have an error in your SQL syntax; check the manual that corresponds to your MySQL server version for the right syntax to use near '@obj_id)' at line 1 (Extended Information: array ( 'server' => '5.0.45', 'host' => 'Localhost via UNIX socket', 'client' => '5.0.45', 'proto' => 10, ))



  • Danke für den Hinweis!! Wird umgehend behoben



  • Da laufe ich auch gerade rein. Gibts schon einen Fix?



  • Ja, die 0.9.7-1 auf i-doit.org


Log in to reply
 


Datenschutz / Privacy Policy